summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolas Vigier <boklm@torproject.org>2018-01-23 19:01:13 +0100
committerNicolas Vigier <boklm@torproject.org>2018-01-23 19:01:13 +0100
commit213fad5a8fe04272359c33778626a2802efc4ebc (patch)
treeebd8fa752eae2ec5a4994f312c1e771323a4ba8d
parent0eb1f12241ed067ef9c013ef0f72e9cca89ee5e6 (diff)
Bug 24982: add script to help updating the websitebug_24982
This script will create a tarball containing the website and print commands that can be used to upload it.
-rwxr-xr-xdoc/make-rbm-docs-tar.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/doc/make-rbm-docs-tar.sh b/doc/make-rbm-docs-tar.sh
new file mode 100755
index 0000000..5a1b576
--- /dev/null
+++ b/doc/make-rbm-docs-tar.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+docsdir=$(pwd)
+tmpdir=$(mktemp -d)
+make clean
+make install-web webdir="$tmpdir"
+cd "$tmpdir"
+chmod 664 *
+tar -cf "$docsdir"/rbm-docs.tar *
+cd -
+rm -Rf "$tmpdir"
+echo "You can now update the web site with:"
+echo " ssh staticiforme.torproject.org tar --overwrite -p -C /srv/rbm-master.torproject.org/htdocs -xf - < rbm-docs.tar"
+echo " ssh staticiforme.torproject.org static-update-component rbm.torproject.org"